function out = optNodes(deltaRatio, to, from)
if nargin < 3, from = 4; end
if nargin < 2, to = 24; end
if mod(from, 4), error('FROM must be a multiple of four'); end
if mod(to, 4), error('TO must be a multiple of four'); end

out = cell(size( (from/4) : (to/4) ));

i = 0;
for n = (from/4) : (to/4)
    i = i + 1;
    d = round(n * 4 * deltaRatio);
    d = max(d, 1);
    out{i} = [ struct('key','nodes','value',num2str(n)) struct('key','delta','value',num2str(d)) ];
end

end
